Page MenuHomePhabricator

hg-core: define a `DebugData` `Operation`
ClosedPublic

Authored by acezar on Aug 26 2020, 9:23 AM.

Details

Summary

Read the content of a revlog at a given revision.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

acezar created this revision.Aug 26 2020, 9:23 AM
acezar edited the summary of this revision. (Show Details)Aug 26 2020, 9:45 AM
Alphare requested changes to this revision.Aug 28 2020, 8:46 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
rust/hg-core/src/operations/debugdata.rs
35

Let's not implement Error, it requires a UTF8 description and has other issues.

37

Same for Display

This revision now requires changes to proceed.Aug 28 2020, 8:46 AM
acezar updated this revision to Diff 22483.Aug 28 2020, 12:52 PM
acezar marked 2 inline comments as done.Aug 31 2020, 10:54 AM
acezar updated this revision to Diff 22529.Sep 3 2020, 4:50 AM
acezar updated this revision to Diff 22533.Sep 3 2020, 8:50 AM
Alphare accepted this revision.Sep 6 2020, 3:59 AM
acezar updated this revision to Diff 22590.Sep 9 2020, 9:52 AM
indygreg accepted this revision.Sep 22 2020, 10:02 PM
indygreg added a subscriber: indygreg.
indygreg added inline comments.
rust/hg-core/src/operations/debugdata.rs
25

This enum duplicates a lot of states from RevlogError. This kinda feels like an anti-pattern. Should it store a RevlogError(RevlogError) instead?

(I legitimately do not know what the best practice is here. Completely duplicating an enum just doesn't sit right with me!)

103

We would ideally have a method on the repo resolve this path, since the logic is influenced by .hg/requires. But this is probably fine for now.

This revision is now accepted and ready to land.Sep 22 2020, 10:02 PM
acezar updated this revision to Diff 22780.Sep 23 2020, 8:07 AM
This revision was automatically updated to reflect the committed changes.